/* -------------------------------------------------------------------
   File "Jacobian_Lib.pro"

   Definition of a jacobian method
   -------------------------------------------------------------------

   I N P U T
   ---------


   GlobalGroup :
   -----------
   DomainInf                Regions with Spherical Shell Transformation

   Parameters :
   ----------
   Val_Rint, Val_Rext       Inner and outer radius of the Spherical Shell
                            of DomainInf
*/

Group {
  DefineGroup[ DomainInf ] ;
  DefineVariable[ Ru_int, Ru_ext ] ;
}


Jacobian {
  { Name Vol ;
    Case { { Region DomainInf ; Jacobian VolAxiSquSphShell {Ru_int, Ru_ext} ; }
           { Region All ; Jacobian VolAxiSqu  ; }
    }
  }
  { Name Sur ;
    Case { { Region DomainInf ; Jacobian VolAxiSquSphShell {Ru_int, Ru_ext} ; }
           { Region All ; Jacobian SurAxi  ; }
    }
  }
}

